apiVersion: apps/v1
kind: Deployment
metadata:
  name: monitoringservice
spec:
  selector:
    matchLabels:
      app: monitoringservice
  template:
    metadata:
      labels:
        app: monitoringservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: myregistrydomain.com/monitoringservice
        ports:
        - containerPort: 8080
        env:
        - name: PORT
          value: "8080"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:8080"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:8080"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
      imagePullSecrets:
      - name: regcred
---
apiVersion: v1
kind: Service
metadata:
  name: monitoringservice
spec:
  type: ClusterIP
  selector:
    app: monitoringservice
  ports:
  - name: grpc
    port: 8080
    targetPort: 8080
